Question

OpenLiteSpeed WordPress site not loading in browser any longer.

  • Posted November 23, 2019
  • Ubuntu

Somehow the error logs made the disk full after only a few days of creating the OpenLiteSpeed + WordPress droplet. I deleted the logs and the droplet is only at 5% usage now, but now the site won’t load in the browser even by the droplet IP 159.203.99.190

Error reads “This site can’t be reached”

I have restarted the web server with:

sudo service lsws restart

But that doesn’t help at all.

I have disabled the firewall as well with :

ufw disable

I have also restarted the droplet from the DO Control Panel > Power

Please help.

Subscribe
Share

Submit an answer
You can type!ref in this text area to quickly search our full set of tutorials, documentation & marketplace offerings and insert the link!

These answers are provided by our Community. If you find them useful, show some love by clicking the heart. If you run into issues leave a comment, or add your own answer to help others.

I just had this same issue after an apt upgrade. I found that the service file had the wrong command path after the upgrade. I see the modified date of file is November 22nd.

This command got me running: /usr/local/lsws/bin/lswsctrl start

The script in /etc/systemd/system/lshttpd.service

has the wrong path to lswsctrl [Service] Type=forking PIDFile=/tmp/lshttpd/lshttpd.pid ExecStart=/build/openlitespeed-1.5.9/debian/openlitespeed/usr/local/lsws/bin/lswsctrl start ExecReload=/build/openlitespeed-1.5.9/debian/openlitespeed/usr/local/lsws/bin/lswsctrl restart ExecStop=/build/openlitespeed-1.5.9/debian/openlitespeed/usr/local/lsws/bin/lswsctrl delay-stop

I changed these to /usr/local/lsws/bin/lswsctrl

Hi @jeffmyers and @supportd5502d420073c8781fd ,

Thanks for reporting the bug! Everyone that has the issue - the issue can be fixed in 1.5.9 Build 2, which is building now and can be upgraded by running sudo apt install --upgrade openlitespeed once it is pushed here shortly. If the upgrade doesn’t fix it, you can follow jeffmyer’s response to manually fix it.

p.s. this only happens in the 1.5.9 and current image is based on 1.5.8, so it only happens if you upgraded to version 1.5.9. If you have not upgraded yet, you are not affected.

Best, Eric

Hello,

It’s hard to locate the issue without any log. I just tried to spin up a server and wordpress loads without any issue. So did the issue only happens after you migrate your wordpress? If so, can you provide the migration method? Can you also send request to litespeed for support?

Hi,

Could you share the status of lsws? I feel it’s not starting.

service lsws status

Also, is there any error log shows in /usr/local/lsws/logs/errord.log when you visit it?

If above commands show nothing, please submit a mail to support@litespeedtech.com with this post link appended, then we can help you more from there.

Best, Eric